Apache JMeter

## org.apache.jmeter.testelement
Class ReportPlan

    java.lang.Object
      org.apache.jmeter.testelement.AbstractTestElement
          org.apache.jmeter.testelement.ReportPlan

All Implemented Interfaces:
  Serializable, Cloneable, TestElement, TestListener

    public class ReportPlan

extends AbstractTestElement
implements Serializable, TestListener

See Also:
  Serialized Form

Field Summary
`static String` `BASEDIR`
`static String` `REPORT_COMMENTS`
`static String` `REPORT_PAGE`
`static String` `USER_DEFINED_VARIABLES`

Fields inherited from interface org.apache.jmeter.testelement.TestElement
`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

Constructor Summary
`ReportPlan()`
`ReportPlan(String name)`

Method Summary
`void` `addConfigElement(ConfigElement c)` Adds a feature to the ConfigElement attribute of the TestPlan object.
`void` `addJMeterComponent(TestElement child)`
`void` `addParameter(String name, String value)`
`void` `addReportPage(AbstractThreadGroup group)` Adds a feature to the AbstractThreadGroup attribute of the TestPlan object.
`void` `addTestElement(TestElement tg)`
`static ReportPlan` `createReportPlan(String name)`
`String` `getBasedir()`
`static boolean` `getFunctionalMode()` Gets the static copy of the functional mode
`Collection<AbstractThreadGroup>` `getReportPages()` Gets the ThreadGroups attribute of the TestPlan object.
`Map<String,String>` `getUserDefinedVariables()`
`void` `setBasedir(String b)`
`void` `setUserDefinedVariables(Arguments vars)`
`void` `testEnded()` Called once for all threads after the end of a test.
`void` `testEnded(String host)` Called once for all threads after the end of a test.
`void` `testIterationStart(LoopIterationEvent event)` Each time through a Thread Group's test script, an iteration event is fired for each thread.
`void` `testStarted()` Called just before the start of the test from the main engine thread.
`void` `testStarted(String host)` Called just before the start of the test from the main engine thread.

Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement

`addProperty, canRemove, clear, clearTemporary, clearTestElementChildren, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REPORT_PAGE

    public static final String REPORT_PAGE

See Also:
  Constant Field Values

### USER_DEFINED_VARIABLES

    public static final String USER_DEFINED_VARIABLES

See Also:
  Constant Field Values

### REPORT_COMMENTS

    public static final String REPORT_COMMENTS

See Also:
  Constant Field Values

### BASEDIR

    public static final String BASEDIR

See Also:
  Constant Field Values

Constructor Detail

### ReportPlan

    public ReportPlan()

### ReportPlan

    public ReportPlan(String name)

Method Detail

### setUserDefinedVariables

    public void setUserDefinedVariables(Arguments vars)

### getBasedir

    public String getBasedir()

### setBasedir

    public void setBasedir(String b)

### getUserDefinedVariables

    public Map<String,String> getUserDefinedVariables()

### getFunctionalMode

    public static boolean getFunctionalMode()

  Gets the static copy of the functional mode

  Returns:
    mode

### addParameter

    public void addParameter(String name,
                             String value)

### createReportPlan

    public static ReportPlan createReportPlan(String name)

### addTestElement

    public void addTestElement(TestElement tg)

  Description copied from class: `AbstractTestElement`

  Specified by:
    `addTestElement` in interface `TestElement`
  Overrides:
    `addTestElement` in class `AbstractTestElement`

### addJMeterComponent

    public void addJMeterComponent(TestElement child)

### getReportPages

    public Collection<AbstractThreadGroup> getReportPages()

  Gets the ThreadGroups attribute of the TestPlan object.

  Returns:
    the ThreadGroups value

### addConfigElement

    public void addConfigElement(ConfigElement c)

  Adds a feature to the ConfigElement attribute of the TestPlan object.

  Parameters:
    `c` - the feature to be added to the ConfigElement attribute

### addReportPage

    public void addReportPage(AbstractThreadGroup group)

  Adds a feature to the AbstractThreadGroup attribute of the TestPlan object.

  Parameters:
    `group` - the feature to be added to the AbstractThreadGroup attribute

### testEnded

    public void testEnded()

  Description copied from interface: `TestListener`

  Called once for all threads after the end of a test. This will use the same element instances as at the start of the test.

  N.B. testStarted() and testEnded() are called from different threads.

  Specified by:
    `testEnded` in interface `TestListener`
  See Also:
    `StandardJMeterEngine.stopTest()`

### testEnded

    public void testEnded(String host)

  Description copied from interface: `TestListener`

  Called once for all threads after the end of a test. This will use the same element instances as at the start of the test.

  N.B. testStarted() and testEnded() are called from different threads.

  Specified by:
    `testEnded` in interface `TestListener`
  Parameters:
    `host` - name of host
  See Also:
    `StandardJMeterEngine.stopTest()`

### testIterationStart

    public void testIterationStart(LoopIterationEvent event)

  Description copied from interface: `TestListener`
  Each time through a Thread Group's test script, an iteration event is fired for each thread. This will be after the test elements have been cloned, so in general the instance will not be the same as the ones the start/end methods call.

  Specified by:
    `testIterationStart` in interface `TestListener`

### testStarted

    public void testStarted()

  Description copied from interface: `TestListener`

  Called just before the start of the test from the main engine thread. This is before the test elements are cloned. Note that not all the test variables will have been set up at this point.

  N.B. testStarted() and testEnded() are called from different threads.

  Specified by:
    `testStarted` in interface `TestListener`
  See Also:
    `StandardJMeterEngine.run()`

### testStarted

    public void testStarted(String host)

  Description copied from interface: `TestListener`

  Called just before the start of the test from the main engine thread. This is before the test elements are cloned. Note that not all the test variables will have been set up at this point.

  N.B. testStarted() and testEnded() are called from different threads.

  Specified by:
    `testStarted` in interface `TestListener`
  Parameters:
    `host` - name of host
  See Also:
    `StandardJMeterEngine.run()`

Apache JMeter

Copyright © 1998-2011 Apache Software Foundation. All Rights Reserved.